Bug 239185 - Review Request: nbtscan - Tool to gather NetBIOS info from Windows networks
Review Request: nbtscan - Tool to gather NetBIOS info from Windows networks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-05 15:23 EDT by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-27 00:53:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-05 15:23:41 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/nbtscan.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/nbtscan-1.5.1-1.fc7.src.rpm

Description:

NBTscan is a program for scanning IP networks for NetBIOS name information.
It sends a NetBIOS status query to each address in supplied range and lists
received information in human readable form.
Comment 1 manuel wolfshant 2007-05-07 15:20:34 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output: empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [ ] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPL
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package    : 4041d8f6b592fa310b8d3c79c56a2d3263dba82f
 [-] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [-] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on:devel/x86_64 and devel/i386
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:devel/x86_64 and devel/i386
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [x] File based requires are sane.

=== Issues ===
None


================
*** APPROVED ***
================
Comment 2 Sindre Pedersen Bjørdal 2007-05-11 11:15:51 EDT
New Package CVS Request
=======================
Package Name: nbtscan
Short Description: Tool to gather NetBIOS info from Windows Networks
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: jaboutbo@redhat.com
Comment 3 Sindre Pedersen Bjørdal 2007-05-23 11:06:46 EDT
Seems the F7 branch wasn't created during merge, please add it.

New Package CVS Request
=======================
Package Name: arp-scan
Short Description: Scanning and fingerprinting tool
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5 F-7
Comment 4 Jens Petersen 2007-05-27 00:53:07 EDT
F-7 added

Please be careful with the Package Name when requesting branches.

Note You need to log in before you can comment on or make changes to this bug.